Subject: Re: shallow clones, was Re: What's cooking in git.git (topics)

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Fri, 08 Dec 2006 15:42:56 +0530

Johannes Schindelin wrote:
>.
>> I'm not sure what reaction you expect, but this is something a lot of 
>> our occasional Wine users are requesting. The Wine full history is 80Mb, 
>> and that's a big download if you just want to try a quick patch. Now of 
>> course you won't see these users around here hacking on shallow clone, 
>> most likely they just went and downloaded Wine from the CVS mirror 
>> instead. But it's a shame to have to maintain a CVS mirror just for that 
>> purpose...
> 
> Sorry, I was just mumbling about the fact that I would _like_ to hear back 
> about successes and failures. If there are problems I want to fix them.
> 
>>

How about this. This is already reported 

kvaneesh@kvaneesh-laptop:/tmp$git clone --depth 2 /home/opensource/git git.test
.....
 100% (743/743) done

kvaneesh@kvaneesh-laptop:/tmp$cd git.test/
[[email-masked]]$ git fsck-objects

[[email-masked]]$ git fetch --depth 4
remote: Generating pack...
remote: Done counting 872 objects.
...
 100% (1/1) done
Total 1 (delta 0), reused 0 (delta 0)
Unpacking 1 objects
 100% (1/1) done

[[email-masked]]$ git fsck-objects
dangling commit aca085e577688108a2480b96a2f7077424a74e4d
dangling commit b360cca0b100e14abffa4cae78521b493c783738
dangling commit cd976f5c52694acb4b23c3f2425ed4f0a47ec799